<template>
<div style="display:flex;justify-content: center;" class="pt-10">

      <v-list v-if="agentlist != null" width="300px">
        <template v-for="(item, index) in agentlist">
        <v-list-item @click="agentSelected(item)" :key="item.id">
          <v-list-item-avatar size="40" color="primary" class="white--text">
            <v-avatar size="40">
            {{item.fields.agent_name.charAt(0)}}{{item.fields.agent_surname.charAt(0)}}
            </v-avatar>
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title>
              {{item.fields.agent_name}} {{item.fields.agent_surname}}
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
        <v-divider :key="'d'+item.id" v-if="index < agentlist.length -1"/>
        </template>
      </v-list>
    <v-row v-else justify="center" align="center">
      <v-progress-circular style="height:20vh" indeterminate color="primary"/>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "AgentList",

  data: () => ({
    agentlist:null,
  }),
  async mounted()
  {
    console.log("mounted agents list");
    this.agentlist = await this.$agent.getAgents();
    console.log("agent list", this.agentlist)
  },
   methods: 
  {
    agentSelected(agent)
    {
      this.$root.selectedAgent = agent;
      console.log("selected agent",agent)
      this.$router.push({ name: "dashboard" });
    }
  }
};
</script>
